{************************************************************************
*                                                                       *
*           Directory Tree File Synchroniser Resource Source            *
*                 Copyright (C) 1997-98, John Zaitseff                  *
*                                                                       *
************************************************************************}

{ Author:    John Zaitseff <J.Zaitseff@unsw.edu.au>
  Date:      11th April, 1998.
  Version:   1.2

  This file provides the string resource constants for INSYNC.

  This program, including this file, is under the terms of the GNU
  General Public License.
}

const
  { String resource constants }
  s_Heading =
      #13#10 +
      'ͻ'#13#10 +
      '            INSYNC:  Directory Tree File Synchroniser v%-3.3s            '#13#10 +
      '                 Copyright (C) 1997-98, John Zaitseff                 '#13#10 +
      'ͼ'#13#10;

  s_Usage =
      'The INSYNC utility is designed to simplify keeping two directory trees'#13#10 +
      'synchronised with each other.  This utility understands long filenames'#13#10 +
      'and UNC (network) directory specifications.'#13#10#13#10 +
      'Syntax:'#13#10 +
      '    INSYNC dirname1 dirname2 [/MS | /ABS | /PP] [/F] [/Q1] [/1] [/X]'#13#10#13#10 +
      'where'#13#10 +
      '    /MS   - selects Master-slave mode,'#13#10 +
      '    /ABS  - selects Absolute Master-slave mode,'#13#10 +
      '    /PP   - selects Peer-peer mode (default),'#13#10 +
      '    /F    - forces copying over read-only files,'#13#10 +
      '    /Q1   - makes INSYNC''s output slightly quieter (less verbose),'#13#10 +
      '    /1    - performs only the first phase of the operation, and'#13#10 +
      '    /X    - simulates the actions only (does not actually do them).'#13#10#13#10 +
      'Please see the file INSYNC.TXT for a more detailed explanation of this'#13#10 +
      'utility.';

  s_Error            = 'Error: ';
  s_SysError         = '       System message: ';
  s_ErrHint          = '       (Use "/?" as a parameter for a command-line summary)';

  s_ErrTooManyParams = 'Too many command-line parameters specified.';
  s_ErrSettingOpMode = 'Trying to set the mode more than once (Parameter %s).';
  s_ErrCmdLineOption = 'Unknown command-line option: %s';
  s_ErrNotEnoughDirs = 'More directory names need to be specified.';
  s_ErrIdenticalDirs = 'Identical directory names specified.';
  s_ErrInvalidDir    = 'Invalid directory path specified: %s';
  s_ErrDirNotAdded   = 'Could not search directory path: %s';

  s_ErrSyncDirFile   = 'Cannot synchronise a directory and a file: %s';
  s_ErrCreateDir     = 'Could not create directory: %s';
  s_ErrRemoveDir     = 'Could not remove directory: %s';
  s_ErrDirNotEmpty   = 'Directory not empty: %s';
  s_ErrRenameDir     = 'Could not rename directory: %s';
  s_ErrCopyFile      = 'Could not copy file: %s';
  s_ErrChangeAttr    = 'Could not change file attributes: %s';
  s_ErrDeleteFile    = 'Could not delete file: %s';
  s_ErrRenameFile    = 'Could not rename file: %s';

  s_Synchronising    = 'Synchronising directories in %s mode.';
  s_DirNamesPP       = '    Directory 1:  %s'#13#10 +
                       '    Directory 2:  %s';
  s_DirNamesMS       = '    Master directory:  %s'#13#10 +
                       '    Slave directory:   %s';
  s_ForceActions     = '    Forcing actions (even if target is read-only).';
  s_QuieterMode      = '    Using a slightly quieter (less verbose) mode.';
  s_FirstPhaseOnly   = '    Performing first phase only.';
  s_Simulating       = '    Performing SIMULATION only.';

  s_SearchingDir     = 'Searching for files in %s... ';
  s_NumEntries       = '%d entries.';

  s_ProcessingDir    = #13#10''#13#10 +
                       'Processing entries in %s... '#13#10;
  s_NumEntriesProcd  = #13#10''#13#10 +
                       'Processed a total of %d entries%s.';
  s_NumEntriesSim    = ' (Simulation only)';

  s_CreateDir        = '%s: Creating directory in %s... ';
  s_RemoveDir        = '%s: Removing directory in %s... ';
  s_RenameDir        = '%s: Renaming directory in %s... ';
  s_CopyFile         = '%s: Copying file to %s... ';
  s_CopyNewFile      = '%s: Copying new file to %s... ';
  s_CopyOlderFile    = '%s: Copying older file to %s... ';
  s_CopyFileBack     = '%s: Copying file back to %s... ';
  s_CopyFileAttr     = '%s: Copying file attributes to %s... ';
  s_DeleteFile       = '%s: Deleting file in %s... ';
  s_RenameFile       = '%s: Renaming file in %s... ';

  s_Done             = 'done.';
  s_Skipped          = 'skipped.';
  s_SkippedRO        = 'skipping read-only.';

  sa_OpMode          : TOpModeStr =
                       ('Master-slave', 'Absolute Master-slave', 'Peer-peer');
  sa_OpModeDest1     : TOpModeStr =
                       ('Master directory', 'Master directory', 'Directory 1');
  sa_OpModeDest2     : TOpModeStr =
                       ('Slave directory', 'Slave directory', 'Directory 2');
