#########################################################################
#                                                                       #
#             Makefile for Directory Tree File Synchroniser             #
#                 Copyright (C) 1997-98, John Zaitseff                  #
#                                                                       #
#########################################################################

# Author:    John Zaitseff <J.Zaitseff@unsw.edu.au>
# Date:      2nd April, 1998.
# Version:   1.2

# This Makefile compiles the Directory Tree File Synchroniser program
# INSYNC.  This program, including this file, is under the terms of the
# GNU General Public License.

# Syntax:
#     MAKE [all | clean | veryclean]
#
# make all       - make all targets up-to-date
# make clean     - remove all unnecessary files
# make veryclean - remove everything that is unnecessary or that can be
#                  recompiled

# Some parts of this file may need to be customised for specific set-ups.


#########################################################################
# Define the following macros to point to the location of the Delphi v2
# compiler and Help Workshop, then comment out the !error line:

# !error Makefile has not been modified to set the path of the Delphi compiler.
DELPHI       = C:\Apps\Delphi\Bin
DELHLP       = C:\Apps\Delphi\Help\Tools

# Uncomment the next line for Windows NT 3.51 or earlier:
#WINNT35      = 1

#########################################################################
# Additional macros:

EXOPT        = -m -UMisc -DOPTDEBUG
EXOPTDEBUG   = -b -UMisc -DOPTDEBUG -DDEBUG -V
EXOPTNODEBUG = -b -UMisc -DOPTDEBUG

!if $d(WINNT35)
STARTCMD =
!else
STARTCMD = start /w
!endif

#########################################################################
# Targets:

all:     program
program: insync.exe

#########################################################################
# Compile main program and associated units:

SOURCES = InSync.dpr InSync.res InSync.inc \
          Misc\VerRes.pas Misc\ParamLn.pas Misc\DirEx.pas

insync.exe: $(SOURCES)
        $(DELPHI)\dcc32 $(EXOPT) InSync.dpr
        ren InSync.exe INSYNC.EXE

InSync.res: InSync.rc InSync.ico Misc\winverRC.h
        $(DELPHI)\brcc32 -w32 -iMisc -fo$@ InSync.rc

#########################################################################
# Clean unnecessary files:

clean:
        -del *.bak
        -del *.~*
        -del *.dcu
        -del *.res
        -del Misc\*.bak
        -del Misc\*.~*
        -del Misc\*.dcu
        -del Misc\*.res

veryclean: clean
        -del INSYNC.EXE
